Bug 488283 (CVE-2009-0774) - CVE-2009-0774 Firefox 2 and 3 crashes in the JavaScript engine
Summary: CVE-2009-0774 Firefox 2 and 3 crashes in the JavaScript engine
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0774
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,source=mozilla,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-03 16:30 UTC by Josh Bressers
Modified: 2019-06-08 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-25 19:46:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0258 normal SHIPPED_LIVE Moderate: thunderbird security update 2009-03-24 12:03:01 UTC
Red Hat Product Errata RHSA-2009:0315 normal SHIPPED_LIVE Critical: firefox security update 2009-03-05 00:20:38 UTC
Red Hat Product Errata RHSA-2009:0325 normal SHIPPED_LIVE Critical: seamonkey security update 2009-03-05 01:00:08 UTC

Description Josh Bressers 2009-03-03 16:30:32 UTC
Mozilla developers identified and fixed several stability bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these crashes showed evidence of memory corruption under certain
circumstances and we presume that with enough effort at least some of these
could be exploited to run arbitrary code.

Gary Kwong reported a crashe in the JavaScript engine which affected
Firefox 2 and 3.

Comment 1 Tomas Hoger 2009-03-05 08:08:04 UTC
Public now via:
  http://www.mozilla.org/security/announce/2009/mfsa2009-07.html

Comment 2 Fedora Update System 2009-03-08 19:34:20 UTC
firefox-3.0.7-1.fc9, xulrunner-1.9.0.7-1.fc9, epiphany-2.22.2-8.fc9, epiphany-extensions-2.22.1-8.fc9, blam-1.8.5-6.fc9.1, chmsee-1.0.1-9.fc9, devhelp-0.19.1-9.fc9, galeon-2.0.7-7.fc9, gnome-python2-extras-2.19.1-24.fc9, gnome-web-photo-0.3-18.fc9, google-gadgets-0.10.5-3.fc9, gtkmozembedmm-1.4.2.cvs20060817-26.fc9, kazehakase-0.5.6-1.fc9.4, Miro-1.2.7-5.fc9, mozvoikko-0.9.5-7.fc9, mugshot-1.2.2-6.fc9, ruby-gnome2-0.17.0-6.fc9, totem-2.23.2-12.fc9, yelp-2.22.1-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2009-03-08 19:35:41 UTC
firefox-3.0.7-1.fc10, xulrunner-1.9.0.7-1.fc10, epiphany-2.24.3-3.fc10, epiphany-extensions-2.24.0-5.fc10, blam-1.8.5-7.fc10, devhelp-0.22-5.fc10, evolution-rss-0.1.2-5.fc10, galeon-2.0.7-7.fc10, gecko-sharp2-0.13-5.fc10, gnome-python2-extras-2.19.1-27.fc10, gnome-web-photo-0.3-15.fc10, google-gadgets-0.10.5-3.fc10, kazehakase-0.5.6-1.fc10.4, Miro-2.0-4.fc10, mozvoikko-0.9.5-7.fc10, mugshot-1.2.2-6.fc10, pcmanx-gtk2-0.3.8-6.fc10, ruby-gnome2-0.18.1-4.fc10, yelp-2.24.0-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2009-03-21 01:26:37 UTC
thunderbird-2.0.0.21-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-03-21 01:27:39 UTC
thunderbird-2.0.0.21-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2009-03-24 12:02:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0258 https://rhn.redhat.com/errata/RHSA-2009-0258.html

Comment 8 Fedora Update System 2009-03-30 17:24:00 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-03-31 20:30:03 UTC
seamonkey-1.1.15-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-03-31 20:38:30 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Kurt Seifried 2011-10-25 19:46:02 UTC
This issue has been addressed in the following RHSAs:

Red Hat Enterprise Linux version 4, Desktop version 5 and Optional Productivity Applications version 5 (thunderbird) RHSA-2009:0258 
Red Hat Enterprise Linux version 4 and 5 (firefox) RHSA-2009:0315
Red Hat Enterprise Linux version 2.1, 3 and 4 (seamonkey) RHSA-2009:0325


Note You need to log in before you can comment on or make changes to this bug.